commit:     549bdb0262958a7cc8dbffbe8560728260b599d0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 17 21:32:17 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Oct 17 21:32:23 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=549bdb02

dev-ml/ocamlnet: bump to 4.1.4

Closes: https://bugs.gentoo.org/715188
Closes: https://bugs.gentoo.org/641858
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ml/ocamlnet/Manifest              |  1 +
 dev-ml/ocamlnet/ocamlnet-4.1.8.ebuild | 78 +++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-ml/ocamlnet/Manifest b/dev-ml/ocamlnet/Manifest
index 59ad2196586..fc9215dd9dc 100644
--- a/dev-ml/ocamlnet/Manifest
+++ b/dev-ml/ocamlnet/Manifest
@@ -1,2 +1,3 @@
 DIST ocamlnet-4.1.2.tar.gz 4623183 BLAKE2B 
7e8d5cdc823b9e924258f75f00957ba185d49555377ba2a2d960c47e2ea958059e1ab62e27be63770bb4f547e1fa0cb788a54c3e698180b2b15f0097fe84455a
 SHA512 
69f42042a54efd662db2217224da53513fc7e72c7b2313d4a4a1128f1b4624f4f6298434f5b19f354b832119ff151abc81e85eb0108d6eb24f30f82d176e0b4d
 DIST ocamlnet-4.1.4.tar.gz 4552969 BLAKE2B 
3dfedcd09eb91d1ca8e13b7a87dfe70cfb88d57d0b4fa970fe6179affa05ba3fdeaad0dfbb6ac267e7a6530c289408b1a8ad66a805226245f80fe66770addad5
 SHA512 
ca502444f81898ccda27d61760a357aad59624cf3c4c025d49dd1c2e7bc3ef497c199634247ba7731e016c234e5cd92d2599d1ef9ecd55c3b6e7a64fc4773ee0
+DIST ocamlnet-4.1.8.tar.gz 4620065 BLAKE2B 
8f84ce4d79de5f4a1f26d4e45f68327042b0adc22717e56eeaca03ee6371e9251c01e8736d3afe5c00a1c65ef0286d56a04c57e80377402bb19ff87955ae98d9
 SHA512 
e238235968b9546c60568a38e68e354378d30e7137973332dcb10da21fa775ab7b367889fc51f5bd7cb00e51582834cafe2a0c4706b0bc77a44d4571a6f22815

diff --git a/dev-ml/ocamlnet/ocamlnet-4.1.8.ebuild 
b/dev-ml/ocamlnet/ocamlnet-4.1.8.ebuild
new file mode 100644
index 00000000000..b10135604ad
--- /dev/null
+++ b/dev-ml/ocamlnet/ocamlnet-4.1.8.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib
+
+MY_P=${P/_beta/test}
+DESCRIPTION="Modules for OCaml application-level Internet protocols"
+HOMEPAGE="http://projects.camlcity.org/projects/ocamlnet.html";
+SRC_URI="http://download.camlcity.org/download/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="ZLIB GPL-2+"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="gtk kerberos tk httpd +ocamlopt +pcre ssl zip"
+RESTRICT="installsources strip"
+
+# the auth-dh compile flag has been disabled as well, since it depends on
+# ocaml-cryptgps, which is not available.
+
+BDEPEND="
+       dev-ml/cppo
+       virtual/pkgconfig
+"
+RDEPEND="
+       >=dev-ml/findlib-1.0
+       >=dev-lang/ocaml-3.10.2:=[ocamlopt?]
+       pcre? ( >=dev-ml/pcre-ocaml-5:= )
+       tk? ( dev-ml/labltk:= )
+       ssl? ( net-libs/gnutls:= )
+       gtk? ( >=dev-ml/lablgtk-2:= )
+       kerberos? ( virtual/krb5 )
+       zip? ( dev-ml/camlzip:= )
+"
+DEPEND="${RDEPEND}"
+
+ocamlnet_use_with() {
+       if use $1; then
+               echo "-with-$2"
+       else
+               echo "-without-$2"
+       fi
+}
+
+ocamlnet_use_enable() {
+       if use $1; then
+               echo "-enable-$2"
+       else
+               echo "-disable-$2"
+       fi
+}
+
+src_configure() {
+       ./configure \
+               -bindir /usr/bin \
+               -datadir /usr/share/${PN} \
+               $(ocamlnet_use_enable ssl gnutls) \
+               $(ocamlnet_use_enable gtk gtk2) \
+               $(ocamlnet_use_enable kerberos gssapi) \
+               $(ocamlnet_use_enable pcre pcre) \
+               $(ocamlnet_use_enable tk tcl) \
+               $(ocamlnet_use_enable zip zip) \
+               $(ocamlnet_use_with httpd nethttpd) \
+               || die "Error: econf failed!"
+}
+
+src_compile() {
+       emake -j1 all
+       if use ocamlopt; then
+               emake -j1 opt
+       fi
+}
+
+src_install() {
+       findlib_src_install
+}

Reply via email to